Subject: Re: [PATCH v3 RESEND 1/6] net: wan: Add support for QMC HDLC

From: Herve Codina <[email-masked]>
Date: Thu, 22 Feb 2024 13:05:16 +0100

Hi Andy,

On Mon, 12 Feb 2024 14:22:56 +0200
Andy Shevchenko <[email-masked]> wrote:

...

> 
> > +#include <linux/dma-mapping.h>
> > +#include <linux/hdlc.h>
> > +#include <linux/module.h>  
> 
> > +#include <linux/of.h>
> > +#include <linux/of_platform.h>  
> 
> I do not see how these are being used, am I right?
> What's is missing OTOH is the mod_devicetable.h.

Agree for removing of.h and of_platform.h.

Why do I need mod_devicetable.h ?
Isn't including module.h enough ?

Best regards,
Hervé